# co.aikar.commands.annotation (ACF (Core) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands.annotation

# Package co.aikar.commands.annotation

package co.aikar.commands.annotation

Related Packages
Package
Description
co.aikar.commands
co.aikar.commands.apachecommonslang
co.aikar.commands.contexts
co.aikar.commands.processors
Annotation Types
Class
Description
CatchAll
Deprecated.
Use `instead, which is more accurately named`
CatchUnknown
Defines a method that should receive any unknown command for the related root command.
CommandAlias
Allows to add a single or several command alias(es).
CommandCompletion
Many implementation platforms have a concept of "Tab Completions", where pressing tab will give suggestions on what you can input.
CommandPermission
Sets the permission required to perform this command.
Conditions
Specifies conditions that must be met in order to execute this command.
Default
If used on a method, sets default command handler for the root command of this group If used on a parameter, sets the value to be used for context resolution
Dependency
Injects a dependency into the field this is attached to.
Description
Sets a description to the parameter or method this is attached to.
Flags
Provides configuration options for `ContextResolver`'s to change how they resolve context.
HelpCommand
A Shortcut for specifying `CatchUnknown`, `Default` and `Subcommand` on a method.
HelpSearchTags
Defines additional keywords to feed into the search help system.
Name
Optional
Marks the parameter this is attached to as optional.
PreCommand
This runs before any other command method each time it is invoked.
Private
Marks a command to not be included in stuff like tab completion and help pages
Single
Don't join remaining arguments.
Split
Joins arguments into a single piece of text with the specified separator.
Subcommand
Defines the subcommand that can be used to execute this command.
Syntax
Specifies the syntax to be used when executing this command.
UnknownHandler
Deprecated.
Use `instead, which is more accurately named`
Values
Specifies a list of values that the command input should be validated against, or else show an error.